package com.jxml.quick.ocm; // Open Conversion Model
import org.xml.sax.*;
import java.io.*;
import java.util.*;
import com.jxml.quick.*;

/**
 * Provides input data and schema.
 */
public interface OCMsource extends OCMbase
{
	/**
	 * A processing object spawned from an OCM source object.
	 */
	public interface SubSource extends OCMbase.SubBase
	{
		/**
		 * Returns the schema document.
		 */
		public QDoc getSchemaDoc()
			throws SAXException, IOException;

		/**
		 * Sets the input doc name.
		 */
		public void setInputDocName(Object inputName)
			throws SAXException, IOException;

		/**
		 * Returns the document.
		 */
		public QDoc getDoc()
			throws SAXException, IOException;

		/**
		 * Sets the config properties
		 */
		public void setProperties(Map properties);
	}
}
